import java.util.Scanner;

import base.Giocatore;
import base.Tabellone;

public class SimulatoreGiocoDellOca {

	public static void main(String[] args) {

		Scanner input = new Scanner(System.in);
		
		Tabellone tab = new Tabellone();

		System.out.println("Quante partite vuoi simulare?");
		int num_partite = input.nextInt();

		// contatori delle partite vinte da ogni giocatore
		int cont_vinte1 = 0;
		int cont_vinte2 = 0;
		
		// ciclo che esegue le num_partite simulazioni
		for (int i=0; i<num_partite; i++) {

			// giocatori, a cui passo il tabellone
			Giocatore g1 = new Giocatore(tab);
			Giocatore g2 = new Giocatore(tab);

			// inizializzo il turno (inizia il giocatore 1)
			int turno = 1;
			
			// ciclo che fa continuare la partita finch uno dei due giocatori
			// non arriva all'ultima casella
			while ((g1.getPosizione()!=tab.getNumeroCaselle()) &&
					(g2.getPosizione()!=tab.getNumeroCaselle())) {

				// il giocatore di turno fa una mossa.
				// la casella in cui arriva pu avere un effetto sulla sua mossa
				if (turno==1) {
					g1.mossa();
					tab.effettoCasella(g1);
					turno = 2;
				}
				else {
					g2.mossa();
					tab.effettoCasella(g2);
					turno = 1;
				}

				// stampa le posizioni al termine di questo turno
				System.out.println("G1 = " + g1.getPosizione() + " G2 = " + g2.getPosizione());

			}

			// alla fine della partita, proclama il vincitore
			if (g1.getPosizione()==tab.getNumeroCaselle()) {
				System.out.println("Vincitore G1 !!!");
				cont_vinte1++;
			}
			else {
				System.out.println("Vincitore G2 !!!");
				cont_vinte2++;
			}

		}
		
		// alla fine delle num_partite simulazioni, calcola le stastiche
		System.out.println("STATISTICHE:");
		System.out.println("Vinte da G1: " + cont_vinte1);
		System.out.println("Vinte da G2: " + cont_vinte2);

	}
}
